package com.ruoyi.szxc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 公益报名情况对象 szxc_gy_apply
 *
 * @author hs
 * @date 2024-04-07
 */
public class SzxcGyApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 公益id */
    @Excel(name = "公益id")
    private Long gyId;

    /** 居民id */
    @Excel(name = "居民id")
    private Long jmId;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String cardId;

    /** 报名人 */
    @Excel(name = "报名人")
    private String name;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setGyId(Long gyId)
    {
        this.gyId = gyId;
    }

    public Long getGyId()
    {
        return gyId;
    }
    public void setJmId(Long jmId)
    {
        this.jmId = jmId;
    }

    public Long getJmId()
    {
        return jmId;
    }
    public void setCardId(String cardId)
    {
        this.cardId = cardId;
    }

    public String getCardId()
    {
        return cardId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("gyId", getGyId())
                .append("jmId", getJmId())
                .append("cardId", getCardId())
                .append("name", getName())
                .append("phone", getPhone())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("userId", getUserId())
                .toString();
    }
}
